<?
if($ank['id']==$ku['id'])
{
    if($ku['time_vip']>time())
    {
        if(isset($_GET['bbcode']))
        {
            echo'<div class="block">
            <div class="pb">
            
            <div class="nickSupporter"> <br /><span style="color: Yellow;">ШАГ ПЕРВЫЙ. Вставляем картинку </span> <br /><span style="color: SkyBlue;">Для того, чтобы вставить картинку, надо: <br />- Найти любую картинку в игре. <br />например </span><img style="max-width:100%;" alt="" border="0" src="/images/28.png"/>    [img]/images/28.png[/img] <br />
            <span style="color: SkyBlue;">- Скопировать адрес картинки начиная с /images<br />- в начале текста написать [img] затем адрес,и в конце [/img]. <br />- Вставить этот код в сообщение </span> <br /> <br /><span style="color: Yellow;">ШАГ ВТОРОЙ. Изменяем шрифт текста </span> <br /><span style="color: SkyBlue;">- вставить выбранный и скопированный bbкод  <br />- в начале текста написать [b] затем текст,и в конце [/b]. <br />- текст станет <b>жирным</b> <br /> <br />- в начале текста написать [u] затем текст,и в конце [/u]. <br />- текст станет <u>подчеркнутым</u> <br /> <br />- в начале текста написать [i] затем текст,и в конце [/i]. <br />- текст станет написанным <i>курсивом</i></span> <br /> <br /> <br /><span style="color: Yellow;">ШАГ ТРЕТИЙ. Меняем цвет текста </span> <br /> <br /><span style="color: SkyBlue;">Для того, чтобы изменить цвет текста, надо:</span> <br /><span style="color: SkyBlue;">- написать текст <br />- перед началом текста вставить , [color=Orange] а  после текста вставить [/color]  для того, чтобы написать текст</span> <span style="color: Orange ;"> оранжевым цветом</span>. <span style="color: SkyBlue;">Вместо слова green в коде можно вставить другой цвет из списка цветов.</span> <br /> <br /></div>
            </div></div>';
        }else if(isset($_GET['myicons']))
        {
        if(isset($_GET['delit']))
        {
            @chmod("images/my_iconka/$ku[id].jpg",0777);
            @chmod("images/my_iconka/$ku[id].gif",0777);
            @chmod("images/my_iconka/$ku[id].png",0777);
            @unlink("images/my_iconka/$ku[id].jpg");
            @unlink("images/my_iconka/$ku[id].gif");
            @unlink("images/my_iconka/$ku[id].png");
            mysql_query("UPDATE `kolhoz_user` SET `me_icon` = '0' WHERE `id` = '$ku[id]'");

            $_SESSION['msg']='Изменения успешно приняты';
            header("Location:/user-".$ku['id']."/vipstatus/?myicons");exit(0);
        }

if(isset($_POST['ok'])){
if (isset($_FILES['file']))
{
$error=array();
if (empty($_FILES['file']['name']))
$error[]='Файл не выбран';
$ext=explode('.', $_FILES['file']['name']);
$ext=$ext[sizeof($ext)-1];
if (!in_array($ext, array('jpg','jpeg','png','gif')))
$error[]='Запрещенный формат файла';
if ($_FILES['file']['size'] > 51200) //3276800 b = 400 kb
$error[]='Максимальный вес картинки 50kb';
if (!getimagesize($_FILES['file']['tmp_name']))
$error[]='Запрещенный формат файла';
$par = getimagesize($_FILES['file']['tmp_name']);
if ($par[0] <21 || $par[1] <21)
$error[]='Размер загружаемой иконки должен быть не менее 21х21';
if ($par[0] >50 || $par[1] >50)
$error[]='Размер загружаемой иконки должен быть не более 50х50';


if (empty($error))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/my_iconka/$ku[me_icon].png");

if (copy($_FILES['file']['tmp_name'], 'images/my_iconka/'.md5($time+$ku['nick']).'.png'))
{
mysql_query("UPDATE `kolhoz_user` SET `me_icon` = '".md5($time+$ku[nick])."' WHERE `id` = '$ku[id]'");

$_SESSION['msg']='Изменения успешно приняты';
header("Location:/user-".$ku['id']."/vipstatus/?myicons");exit(0);

}
else
{
  $_SESSION['msg']='Произошла ошибка копирования файла в каталог. Попробуйте позже';
}
}
else
{
foreach ($error as $err)
{
$_SESSION['msg']=''.$err.'';
header("Location:/user-".$ku['id']."/vipstatus/?myicons");

}
}
}
}
echo'<div class="block">';
if($ku['me_icon']>0){

if (is_file("images/my_iconka/$ku[me_icon].png"))echo "<img width='25' src='/images/my_iconka/$ku[me_icon].png' alt='o'>\n";
echo "<img src='/images/icons/cross.png' alt='o'> <a href='/user-".$ku['id']."/vipstatus/?myicons&delit'>Удалить</a><br/><li class='pavelgrey'>";
}
echo "Выберите иконку для загрузки: ";
echo "<form action='/user-".$ku['id']."/vipstatus/?myicons' method=\"post\" enctype='multipart/form-data'>";
echo "<input type='file' name='file' /><br>";
echo "<span class='minor'>Можно загружать картинки форматов: GIF, JPG, PNG</span><br>";
echo "<span class='minor'>Качественное преобразование GIF-анимации не гарантируется</span><br>";
echo "<input value='Загрузить' type='submit' name='ok' /><br></form>";
echo "</div>";

include_once 'inc/foot.php';exit(0);

        }else{
        echo'<div class="block"><span class="title">У вас активирован Vip-статус до '.(vremja($ku['time_vip'])).'<br/>
        <br/>* Вы можете использовать <a href="/user-'.$ku['id'].'/vipstatus/?bbcode">специальные ББ коды</a> в сообщениях<br/>
   *  Во всех локациях у вас действует 2х опыт <br/>
        * Возможность  <a href="/user-'.$ku['id'].'/vipstatus/?myicons">загрузить</a> личную иконку.</div>';}
        include_once 'inc/foot.php';
    }else{
        echo'<div class="block"><span class="title"><a href="/payment">Покупка VIP-статуса</a></span></div>';
        include_once 'inc/foot.php';
    }
}
?>